import request from '../request.js';

const Api = {
  page: '/api/wms/inBill/page',
  list: '/api/wms/inBill/list',
  remove: '/api/wms/inBill/remove',
  removeBatch: '/api/wms/inBill/removeBatch',
  save: '/api/wms/inBill/save',
  edit: '/api/wms/inBill/edit',
  createInBill: '/api/wms/inBill/createInBill',
}

/** 入库单管理 */
export const page = data => {
  return request.request({
    url: Api.page,
    params: data,
    method: 'GET'
  })
}

/** 入库单列表 */
export const list = data => {
  return request.request({
    url: Api.list,
    params: data,
    method: 'GET'
  })
}

/** 新增入库单 */
export const save = data => {
  return request.request({
    url: Api.save,
    data: data,
    method: 'POST'
  })
}

/** 修改入库单 */
export const edit = data => {
  return request.request({
    url: Api.edit,
    data: data,
    method: 'PUT'
  })
}

/** 删除入库单 */
export const remove = data => {
  return request.request({
    url: Api.remove,
    params: data,
    method: 'DELETE'
  })
}

/** 批量删除 */
export const removeBatch = data => {
  return request.request({
    url: Api.removeBatch,
    params: data,
    method: 'DELETE'
  })
}
/** 新增入库单 */
export const createInBill = data => {
  return request.request({
    url: Api.createInBill,
    data: data,
    method: 'POST'
  })
}
